org.apache.lucene.codecs.blocktree

## Class Lucene40BlockTreeTermsReader

- java.lang.Object
- - org.apache.lucene.index.Fields
  - - org.apache.lucene.codecs.FieldsProducer
    - - org.apache.lucene.codecs.blocktree.Lucene40BlockTreeTermsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Iterable<String>, Accountable

  Deprecated.
  Only for 4.x backcompat

      @Deprecated
      public final class Lucene40BlockTreeTermsReader
      extends FieldsProducer

  A block-based terms index and dictionary that assigns terms to variable length blocks according to how they share prefixes. The terms index is a prefix trie whose leaves are term blocks. The advantage of this approach is that seekExact is often able to determine a term cannot exist without doing any IO, and intersection with Automata is very fast. Note that this terms dictionary has it's own fixed terms index (ie, it does not support a pluggable terms index implementation).

  NOTE: this terms dictionary supports min/maxItemsPerBlock during indexing to control how much memory the terms index uses.

  The data structure used by this implementation is very similar to a burst trie (http://citeseer.ist.psu.edu/viewdoc/summary?doi=10.1.1.18.3499), but with added logic to break up too-large blocks of all terms sharing a given prefix into smaller ones.

  Use `CheckIndex` with the `-verbose` option to see summary statistics on the blocks in the dictionary.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `VERSION_APPEND_ONLY` Deprecated. Append-only
    `static int` | `VERSION_CHECKSUM` Deprecated. checksums
    `static int` | `VERSION_CURRENT` Deprecated. Current terms format.
    `static int` | `VERSION_META_ARRAY` Deprecated. Meta data as array
    `static int` | `VERSION_MIN_MAX_TERMS` Deprecated. min/max term
    `static int` | `VERSION_START` Deprecated. Initial terms format.

    - ### Fields inherited from class org.apache.lucene.index.Fields

      `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene40BlockTreeTermsReader(PostingsReaderBase postingsReader, SegmentReadState state)` Deprecated. Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkIntegrity()` Deprecated.
    `void` | `close()` Deprecated.
    `Collection<Accountable>` | `getChildResources()` Deprecated.
    `Iterator<String>` | `iterator()` Deprecated.
    `long` | `ramBytesUsed()` Deprecated.
    `int` | `size()` Deprecated.
    `Terms` | `terms(String field)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class org.apache.lucene.codecs.FieldsProducer

      `getMergeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VERSION_START

          public static final int VERSION_START

      Deprecated.
      Initial terms format.
      See Also:
        Constant Field Values

    - #### VERSION_APPEND_ONLY

          public static final int VERSION_APPEND_ONLY

      Deprecated.
      Append-only
      See Also:
        Constant Field Values

    - #### VERSION_META_ARRAY

          public static final int VERSION_META_ARRAY

      Deprecated.
      Meta data as array
      See Also:
        Constant Field Values

    - #### VERSION_CHECKSUM

          public static final int VERSION_CHECKSUM

      Deprecated.
      checksums
      See Also:
        Constant Field Values

    - #### VERSION_MIN_MAX_TERMS

          public static final int VERSION_MIN_MAX_TERMS

      Deprecated.
      min/max term
      See Also:
        Constant Field Values

    - #### VERSION_CURRENT

          public static final int VERSION_CURRENT

      Deprecated.
      Current terms format.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Lucene40BlockTreeTermsReader

          public Lucene40BlockTreeTermsReader(PostingsReaderBase postingsReader,
                                      SegmentReadState state)
                                       throws IOException

      Deprecated.
      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Deprecated.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `FieldsProducer`
      Throws:
        `IOException`

    - #### iterator

          public Iterator<String> iterator()

      Deprecated.
      Specified by:
        `iterator` in interface `Iterable<String>`
      Specified by:
        `iterator` in class `Fields`

    - #### terms

          public Terms terms(String field)
                      throws IOException

      Deprecated.
      Specified by:
        `terms` in class `Fields`
      Throws:
        `IOException`

    - #### size

          public int size()

      Deprecated.
      Specified by:
        `size` in class `Fields`

    - #### ramBytesUsed

          public long ramBytesUsed()

      Deprecated.

    - #### getChildResources

          public Collection<Accountable> getChildResources()

      Deprecated.

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Deprecated.
      Specified by:
        `checkIntegrity` in class `FieldsProducer`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.